The position to insert the items, a zero-based index. For example, to insert the items in the first position: position=0; to insert the items in the third position: position=2. If omitted, the items will be appended to the playlist. Items are added in the order they are listed in the query string or request body.
uris
string
No
—
A comma-separated list of Spotify URIs to add, can be track or episode URIs. For example:<br/>uris=spotify:track:4iV5W9uYEdYUVa79Axb7Rh, spotify:track:1301WleyT98MSxVHPZCA6M, spotify:episode:512ojhOuo1ktJprKbVcKyQ<br/>A maximum of 100 items can be added in one request. <br/> Note: it is likely that passing a large number of item URIs as a query parameter will exceed the maximum length of the request URI. When adding a large number of items, it is recommended to pass them in the request body, see below.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "playlist_id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the playlist." }, "position": { "type": "integer", "description": "The position to insert the items, a zero-based index. For example, to insert the items in the first position: `position=0`; to insert the items in the third position: `position=2`. If omitted, the items will be appended to the playlist. Items are added in the order they are listed in the query string or request body." }, "uris": { "type": "string", "description": "A comma-separated list of [Spotify URIs](/documentation/web-api/concepts/spotify-uris-ids) to add, can be track or episode URIs. For example:<br/>`uris=spotify:track:4iV5W9uYEdYUVa79Axb7Rh, spotify:track:1301WleyT98MSxVHPZCA6M, spotify:episode:512ojhOuo1ktJprKbVcKyQ`<br/>A maximum of 100 items can be added in one request. <br/> _**Note**: it is likely that passing a large number of item URIs as a query parameter will exceed the maximum length of the request URI. When adding a large number of items, it is recommended to pass them in the request body, see below._" } }, "required": [ "PCID", "playlist_id" ]}
If true, the playlist will become collaborative and other users will be able to modify the playlist in their Spotify client. <br/> Note: You can only set collaborative to true on non-public playlists.
description
string
No
—
Value for playlist description as displayed in Spotify Clients and in the Web API.
name
string
No
—
The new name for the playlist, for example "My New Playlist Title"
public
boolean
No
—
The playlist’s public/private status (if it should be added to the user’s profile or not): true the playlist will be public, false the playlist will be private, null the playlist status is not relevant. For more about public/private status, see Working with Playlists
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "playlist_id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the playlist." }, "collaborative": { "type": "boolean", "description": "If `true`, the playlist will become collaborative and other users will be able to modify the playlist in their Spotify client. <br/> _**Note**: You can only set `collaborative` to `true` on non-public playlists._" }, "description": { "type": "string", "description": "Value for playlist description as displayed in Spotify Clients and in the Web API." }, "name": { "type": "string", "description": "The new name for the playlist, for example `\"My New Playlist Title\"`" }, "public": { "type": "boolean", "description": "The playlist's public/private status (if it should be added to the user's profile or not): `true` the playlist will be public, `false` the playlist will be private, `null` the playlist status is not relevant. For more about public/private status, see [Working with Playlists](/documentation/web-api/concepts/playlists)" } }, "required": [ "PCID", "playlist_id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) for the chapter." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." } }, "required": [ "PCID", "id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
id
string
Yes
—
The Spotify ID for the show.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) for the show." } }, "required": [ "PCID", "id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limit
integer
No
—
The maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50.
offset
integer
No
—
The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) for the show." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." }, "limit": { "type": "integer", "description": "The maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50." }, "offset": { "type": "integer", "description": "The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items." } }, "required": [ "PCID", "id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the album." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." } }, "required": [ "PCID", "id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limit
integer
No
—
The maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50.
offset
integer
No
—
The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the album." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." }, "limit": { "type": "integer", "description": "The maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50." }, "offset": { "type": "integer", "description": "The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items." } }, "required": [ "PCID", "id" ]}
A comma-separated list of keywords that will be used to filter the response. If not supplied, all album types will be returned. <br/> Valid values are:<br/>- album<br/>- single<br/>- appears_on<br/>- compilation<br/>For example: include_groups=album,single.
market
string
No
—
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limit
integer
No
—
The maximum number of items to return. Default: 5. Minimum: 1. Maximum: 10.
offset
integer
No
—
The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the artist." }, "include_groups": { "type": "string", "description": "A comma-separated list of keywords that will be used to filter the response. If not supplied, all album types will be returned. <br/> Valid values are:<br/>- `album`<br/>- `single`<br/>- `appears_on`<br/>- `compilation`<br/>For example: `include_groups=album,single`." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." }, "limit": { "type": "integer", "description": "The maximum number of items to return. Default: 5. Minimum: 1. Maximum: 10." }, "offset": { "type": "integer", "description": "The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items." } }, "required": [ "PCID", "id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) for the audiobook." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." } }, "required": [ "PCID", "id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) for the episode." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." } }, "required": [ "PCID", "id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limit
integer
No
—
The maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50.
offset
integer
No
—
The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) for the audiobook." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." }, "limit": { "type": "integer", "description": "The maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50." }, "offset": { "type": "integer", "description": "The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items." } }, "required": [ "PCID", "id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
fields
string
No
—
Filters for the query: a comma-separated list of the fields to return. If omitted, all fields are returned. For example, to get just the playlist”s description and URI: fields=description,uri. A dot separator can be used to specify non-reoccurring fields, while parentheses can be used to specify reoccurring fields within objects. For example, to get just the added date and user ID of the adder: fields=tracks.items(added_at,added_by.id). Use multiple parentheses to drill down into nested objects, for example: fields=tracks.items(track(name,href,album(name,href))). Fields can be excluded by prefixing them with an exclamation mark, for example: fields=tracks.items(track(name,href,album(!name,href)))
additional_types
string
No
—
A comma-separated list of item types that your client supports besides the default track type. Valid types are: track and episode.<br/> Note: This parameter was introduced to allow existing clients to maintain their current behaviour and might be deprecated in the future.<br/> In addition to providing this parameter, make sure that your client properly handles cases of new types in the future by checking against the type field of each object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "playlist_id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the playlist." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." }, "fields": { "type": "string", "description": "Filters for the query: a comma-separated list of the fields to return. If omitted, all fields are returned. For example, to get just the playlist''s description and URI: `fields=description,uri`. A dot separator can be used to specify non-reoccurring fields, while parentheses can be used to specify reoccurring fields within objects. For example, to get just the added date and user ID of the adder: `fields=tracks.items(added_at,added_by.id)`. Use multiple parentheses to drill down into nested objects, for example: `fields=tracks.items(track(name,href,album(name,href)))`. Fields can be excluded by prefixing them with an exclamation mark, for example: `fields=tracks.items(track(name,href,album(!name,href)))`" }, "additional_types": { "type": "string", "description": "A comma-separated list of item types that your client supports besides the default `track` type. Valid types are: `track` and `episode`.<br/> _**Note**: This parameter was introduced to allow existing clients to maintain their current behaviour and might be deprecated in the future._<br/> In addition to providing this parameter, make sure that your client properly handles cases of new types in the future by checking against the `type` field of each object." } }, "required": [ "PCID", "playlist_id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
fields
string
No
—
Filters for the query: a comma-separated list of the fields to return. If omitted, all fields are returned. For example, to get just the total number of items and the request limit:<br/>fields=total,limit<br/>A dot separator can be used to specify non-reoccurring fields, while parentheses can be used to specify reoccurring fields within objects. For example, to get just the added date and user ID of the adder:<br/>fields=items(added_at,added_by.id)<br/>Use multiple parentheses to drill down into nested objects, for example:<br/>fields=items(track(name,href,album(name,href)))<br/>Fields can be excluded by prefixing them with an exclamation mark, for example:<br/>fields=items.track.album(!external_urls,images)
limit
integer
No
—
The maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50.
offset
integer
No
—
The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.
additional_types
string
No
—
A comma-separated list of item types that your client supports besides the default track type. Valid types are: track and episode.<br/> Note: This parameter was introduced to allow existing clients to maintain their current behaviour and might be deprecated in the future.<br/> In addition to providing this parameter, make sure that your client properly handles cases of new types in the future by checking against the type field of each object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "playlist_id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the playlist." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." }, "fields": { "type": "string", "description": "Filters for the query: a comma-separated list of the fields to return. If omitted, all fields are returned. For example, to get just the total number of items and the request limit:<br/>`fields=total,limit`<br/>A dot separator can be used to specify non-reoccurring fields, while parentheses can be used to specify reoccurring fields within objects. For example, to get just the added date and user ID of the adder:<br/>`fields=items(added_at,added_by.id)`<br/>Use multiple parentheses to drill down into nested objects, for example:<br/>`fields=items(track(name,href,album(name,href)))`<br/>Fields can be excluded by prefixing them with an exclamation mark, for example:<br/>`fields=items.track.album(!external_urls,images)`" }, "limit": { "type": "integer", "description": "The maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50." }, "offset": { "type": "integer", "description": "The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items." }, "additional_types": { "type": "string", "description": "A comma-separated list of item types that your client supports besides the default `track` type. Valid types are: `track` and `episode`.<br/> _**Note**: This parameter was introduced to allow existing clients to maintain their current behaviour and might be deprecated in the future._<br/> In addition to providing this parameter, make sure that your client properly handles cases of new types in the future by checking against the `type` field of each object." } }, "required": [ "PCID", "playlist_id" ]}
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) for the track." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." } }, "required": [ "PCID", "id" ]}
An array of objects containing Spotify URIs of the tracks or episodes to remove. For example: { "items": [{ "uri": "spotify:track:4iV5W9uYEdYUVa79Axb7Rh" },{ "uri": "spotify:track:1301WleyT98MSxVHPZCA6M" }] }. A maximum of 100 objects can be sent at once.
snapshot_id
string
No
—
The playlist’s snapshot ID against which you want to make the changes. The API will validate that the specified items exist and in the specified positions and make the changes, even if more recent changes have been made to the playlist.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "playlist_id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the playlist." }, "items": { "type": "array", "items": { "type": "object", "properties": { "uri": { "type": "string", "description": "Spotify URI" } } }, "description": "An array of objects containing [Spotify URIs](/documentation/web-api/concepts/spotify-uris-ids) of the tracks or episodes to remove. For example: `{ \"items\": [{ \"uri\": \"spotify:track:4iV5W9uYEdYUVa79Axb7Rh\" },{ \"uri\": \"spotify:track:1301WleyT98MSxVHPZCA6M\" }] }`. A maximum of 100 objects can be sent at once." }, "snapshot_id": { "type": "string", "description": "The playlist's snapshot ID against which you want to make the changes. The API will validate that the specified items exist and in the specified positions and make the changes, even if more recent changes have been made to the playlist." } }, "required": [ "PCID", "playlist_id", "items" ]}
A comma-separated list of Spotify URIs to set, can be track or episode URIs. For example: uris=spotify:track:4iV5W9uYEdYUVa79Axb7Rh,spotify:track:1301WleyT98MSxVHPZCA6M,spotify:episode:512ojhOuo1ktJprKbVcKyQ<br/>A maximum of 100 items can be set in one request.
insert_before
integer
No
—
The position where the items should be inserted.<br/>To reorder the items to the end of the playlist, simply set insert_before to the position after the last item.<br/>Examples:<br/>To reorder the first item to the last position in a playlist with 10 items, set range_start to 0, and insert_before to 10.<br/>To reorder the last item in a playlist with 10 items to the start of the playlist, set range_start to 9, and insert_before to 0.
range_length
integer
No
—
The amount of items to be reordered. Defaults to 1 if not set.<br/>The range of items to be reordered begins from the range_start position, and includes the range_length subsequent items.<br/>Example:<br/>To move the items at index 9-10 to the start of the playlist, range_start is set to 9, and range_length is set to 2.
range_start
integer
No
—
The position of the first item to be reordered.
snapshot_id
string
No
—
The playlist’s snapshot ID against which you want to make the changes.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "playlist_id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the playlist." }, "uris": { "type": "string", "description": "A comma-separated list of [Spotify URIs](/documentation/web-api/concepts/spotify-uris-ids) to set, can be track or episode URIs. For example: `uris=spotify:track:4iV5W9uYEdYUVa79Axb7Rh,spotify:track:1301WleyT98MSxVHPZCA6M,spotify:episode:512ojhOuo1ktJprKbVcKyQ`<br/>A maximum of 100 items can be set in one request." }, "insert_before": { "type": "integer", "description": "The position where the items should be inserted.<br/>To reorder the items to the end of the playlist, simply set _insert_before_ to the position after the last item.<br/>Examples:<br/>To reorder the first item to the last position in a playlist with 10 items, set _range_start_ to 0, and _insert_before_ to 10.<br/>To reorder the last item in a playlist with 10 items to the start of the playlist, set _range_start_ to 9, and _insert_before_ to 0." }, "range_length": { "type": "integer", "description": "The amount of items to be reordered. Defaults to 1 if not set.<br/>The range of items to be reordered begins from the _range_start_ position, and includes the _range_length_ subsequent items.<br/>Example:<br/>To move the items at index 9-10 to the start of the playlist, _range_start_ is set to 9, and _range_length_ is set to 2." }, "range_start": { "type": "integer", "description": "The position of the first item to be reordered." }, "snapshot_id": { "type": "string", "description": "The playlist's snapshot ID against which you want to make the changes." } }, "required": [ "PCID", "playlist_id" ]}
Your search query. You can narrow down your search using field filters. The available filters are album, artist, track, year, upc, tag:hipster, tag:new, isrc, and genre. Each field filter only applies to certain result types. The artist and year filters can be used while searching albums, artists and tracks. You can filter on a single year or a range (e.g. 1955-1960).<br /> The album filter can be used while searching albums and tracks.<br /> The genre filter can be used while searching artists and tracks.<br /> The isrc and track filters can be used while searching tracks.<br /> The upc, tag:new and tag:hipster filters can only be used while searching albums. The tag:new filter will return albums released in the past two weeks and tag:hipster can be used to return only albums with the lowest 10% popularity.<br />
type
string[]
Yes
—
A comma-separated list of item types to search across. Search results include hits from all the specified item types. For example: q=abacab&type=album,track returns both albums and tracks matching “abacab”.
market
string
No
—
An ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limit
integer
No
—
The maximum number of results to return in each item type.
offset
integer
No
—
The index of the first result to return. Use with limit to get the next page of search results.
include_external
string
No
—
If include_external=audio is specified it signals that the client can play externally hosted audio content, and marks the content as playable in the response. By default externally hosted audio content is marked as unplayable in the response.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "q": { "type": "string", "description": "Your search query. You can narrow down your search using field filters. The available filters are `album`, `artist`, `track`, `year`, `upc`, `tag:hipster`, `tag:new`, `isrc`, and `genre`. Each field filter only applies to certain result types. The `artist` and `year` filters can be used while searching albums, artists and tracks. You can filter on a single `year` or a range (e.g. 1955-1960).<br /> The `album` filter can be used while searching albums and tracks.<br /> The `genre` filter can be used while searching artists and tracks.<br /> The `isrc` and `track` filters can be used while searching tracks.<br /> The `upc`, `tag:new` and `tag:hipster` filters can only be used while searching albums. The `tag:new` filter will return albums released in the past two weeks and `tag:hipster` can be used to return only albums with the lowest 10% popularity.<br />" }, "type": { "type": "array", "items": { "type": "string", "enum": [ "album", "artist", "playlist", "track", "show", "episode", "audiobook" ] }, "description": "A comma-separated list of item types to search across. Search results include hits from all the specified item types. For example: `q=abacab&type=album,track` returns both albums and tracks matching \"abacab\"." }, "market": { "type": "string", "description": "An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._<br/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/)." }, "limit": { "type": "integer", "description": "The maximum number of results to return in each item type." }, "offset": { "type": "integer", "description": "The index of the first result to return. Use with limit to get the next page of search results." }, "include_external": { "type": "string", "description": "If `include_external=audio` is specified it signals that the client can play externally hosted audio content, and marks the content as playable in the response. By default externally hosted audio content is marked as unplayable in the response.", "enum": [ "audio" ] } }, "required": [ "PCID", "q", "type" ]}
Base64 encoded JPEG image data, maximum payload size is 256 KB.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "playlist_id": { "type": "string", "description": "The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the playlist." }, "body": { "type": "string", "description": "Base64 encoded JPEG image data, maximum payload size is 256 KB." } }, "required": [ "PCID", "playlist_id" ]}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Pinkfish - AI Agents \u0026 Workflows for Getting Work Done","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/pinkfishai/aXo4WZLzYGCBq4ta/logo/logo-dark.png?fit=max\u0026auto=format\u0026n=aXo4WZLzYGCBq4ta\u0026q=85\u0026s=5982b8c7681e4a4ae9b91d86646a3109","dark":"https://mintcdn.com/pinkfishai/aXo4WZLzYGCBq4ta/logo/logo-light.png?fit=max\u0026auto=format\u0026n=aXo4WZLzYGCBq4ta\u0026q=85\u0026s=7e28f108b891d7443509634519c91db1"},"favicon":"https://mintcdn.com/pinkfishai/aXo4WZLzYGCBq4ta/logo/fish.png?fit=max\u0026auto=format\u0026n=aXo4WZLzYGCBq4ta\u0026q=85\u0026s=a1e49a1bc05b6029a7f84dd799eacfd5","api":{"openapi":"api-reference/openapi.json"},"navbar":{"links":[{"href":"mailto:support@pinkfish.ai","label":"Support"}],"primary":{"type":"button","label":"Login","href":"https://app.pinkfish.ai/signin"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/getpinkfish","youtube":"https://www.youtube.com/@getpinkfish","discord":"https://discord.com/invite/HaDg7R4VZG"}},"contextual":{"options":["copy","chatgpt","claude"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"pinkfishai","hasAudioNarration":false,"actualSubdomain":"pinkfishai","customDomains":["docs.pinkfish.ai"],"gitSource":{"type":"github","owner":"brig-pinkfish","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6abc1f8c3225b625a8ea1c22","collectionId":"71e798d6-e3e6-4c5c-b4ed-ad76e167362f","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6abc1f8c3225b625a8ea1c22"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6abc1f8c3225b625a8ea1c22","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"API Reference","count":1112},{"language":"default","tag":"Application MCP Servers","count":1060},{"language":"default","tag":"Documentation","count":68},{"language":"default","tag":"Embedded MCP Servers","count":33},{"language":"default","tag":"genesys","count":27},{"language":"default","tag":"Workflows","count":24},{"language":"default","tag":"Agent Mode","count":15},{"language":"default","tag":"Platform API","count":14},{"language":"default","tag":"Agents","count":11},{"language":"default","tag":"buildops","count":11}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles/custom.css","content":"html{scroll-padding-top:100px;scroll-behavior:smooth}"}],"page":{"pagePath":"api-reference/mcp-servers/application/spotify/spotify-catalog","slug":"/api-reference/mcp-servers/application/spotify/spotify-catalog","pageMetadata":{"title":"spotify-catalog","sidebarTitle":"spotify-catalog","description":"Spotify Catalog - search, browse, and manage albums, artists, tracks, playlists, shows, and audiobooks","href":"/api-reference/mcp-servers/application/spotify/spotify-catalog"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Spotify Catalog - search, browse, and manage albums, artists, tracks, playlists, shows, and audiobooks\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,hr:`hr`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Server path:`}),` `,_jsx(_components.code,{children:`/spotify-catalog`}),` | `,_jsx(_components.strong,{children:`Type:`}),` Application | `,_jsx(_components.strong,{children:`PCID required:`}),` Yes`]}),`\n`,_jsx(Heading,{level:`2`,id:`tools`,children:`Tools`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Tool`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_add_items_to_playlist`,children:_jsx(_components.code,{children:`spotify_catalog_add_items_to_playlist`})})}),_jsx(_components.td,{children:`Add Items to Playlist`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_change_playlist_details`,children:_jsx(_components.code,{children:`spotify_catalog_change_playlist_details`})})}),_jsx(_components.td,{children:`Change Playlist Details`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_a_chapter`,children:_jsx(_components.code,{children:`spotify_catalog_get_a_chapter`})})}),_jsx(_components.td,{children:`Get a Chapter`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_a_show`,children:_jsx(_components.code,{children:`spotify_catalog_get_a_show`})})}),_jsx(_components.td,{children:`Get Show`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_a_shows_episodes`,children:_jsx(_components.code,{children:`spotify_catalog_get_a_shows_episodes`})})}),_jsx(_components.td,{children:`Get Show Episodes`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_an_album`,children:_jsx(_components.code,{children:`spotify_catalog_get_an_album`})})}),_jsx(_components.td,{children:`Get Album`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_an_albums_tracks`,children:_jsx(_components.code,{children:`spotify_catalog_get_an_albums_tracks`})})}),_jsx(_components.td,{children:`Get Album Tracks`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_an_artist`,children:_jsx(_components.code,{children:`spotify_catalog_get_an_artist`})})}),_jsx(_components.td,{children:`Get Artist`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_an_artists_albums`,children:_jsx(_components.code,{children:`spotify_catalog_get_an_artists_albums`})})}),_jsx(_components.td,{children:`Get Artist’s Albums`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_an_audiobook`,children:_jsx(_components.code,{children:`spotify_catalog_get_an_audiobook`})})}),_jsx(_components.td,{children:`Get an Audiobook`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_an_episode`,children:_jsx(_components.code,{children:`spotify_catalog_get_an_episode`})})}),_jsx(_components.td,{children:`Get Episode`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_audiobook_chapters`,children:_jsx(_components.code,{children:`spotify_catalog_get_audiobook_chapters`})})}),_jsx(_components.td,{children:`Get Audiobook Chapters`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_playlist`,children:_jsx(_components.code,{children:`spotify_catalog_get_playlist`})})}),_jsx(_components.td,{children:`Get Playlist`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_playlist_cover`,children:_jsx(_components.code,{children:`spotify_catalog_get_playlist_cover`})})}),_jsx(_components.td,{children:`Get Playlist Cover Image`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_playlists_items`,children:_jsx(_components.code,{children:`spotify_catalog_get_playlists_items`})})}),_jsx(_components.td,{children:`Get Playlist Items`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_get_track`,children:_jsx(_components.code,{children:`spotify_catalog_get_track`})})}),_jsx(_components.td,{children:`Get Track`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_remove_items_playlist`,children:_jsx(_components.code,{children:`spotify_catalog_remove_items_playlist`})})}),_jsx(_components.td,{children:`Remove Playlist Items`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_reorder_or_replace_playlists_items`,children:_jsx(_components.code,{children:`spotify_catalog_reorder_or_replace_playlists_items`})})}),_jsx(_components.td,{children:`Update Playlist Items`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_search`,children:_jsx(_components.code,{children:`spotify_catalog_search`})})}),_jsx(_components.td,{children:`Search for Item`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#spotify_catalog_upload_custom_playlist_cover`,children:_jsx(_components.code,{children:`spotify_catalog_upload_custom_playlist_cover`})})}),_jsx(_components.td,{children:`Add Custom Playlist Cover Image`})]})]})]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`spotify_catalog_add_items_to_playlist`,children:`spotify_catalog_add_items_to_playlist`}),`\n`,_jsx(_components.p,{children:`Add Items to Playlist`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`playlist_id`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Spotify ID of the playlist.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`position`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsxs(_components.td,{children:[`The position to insert the items, a zero-based index. For example, to insert the items in the first position: `,_jsx(_components.code,{children:`position=0`}),`; to insert the items in the third position: `,_jsx(_components.code,{children:`position=2`}),`. If omitted, the items will be appended to the playlist. Items are added in the order they are listed in the query string or request body.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`uris`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsxs(_components.td,{children:[`A comma-separated list of Spotify URIs to add, can be track or episode URIs. For example:\u003cbr/>`,_jsx(_components.code,{children:`uris=spotify:track:4iV5W9uYEdYUVa79Axb7Rh, spotify:track:1301WleyT98MSxVHPZCA6M, spotify:episode:512ojhOuo1ktJprKbVcKyQ`}),`\u003cbr/>A maximum of 100 items can be added in one request. \u003cbr/> `,_jsxs(_components.em,{children:[_jsx(_components.strong,{children:`Note`}),`: it is likely that passing a large number of item URIs as a query parameter will exceed the maximum length of the request URI. When adding a large number of items, it is recommended to pass them in the request body, see below.`]})]})]})]})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`25`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`25`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"playlist_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the playlist.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"position\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"integer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:'\"The position to insert the items, a zero-based index. For example, to insert the items in the first position: `position=0`; to insert the items in the third position: `position=2`. If omitted, the items will be appended to the playlist. Items are added in the order they are listed in the query string or request body.\"'})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"uris\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:'\"A comma-separated list of [Spotify URIs](/documentation/web-api/concepts/spotify-uris-ids) to add, can be track or episode URIs. For example:\u003cbr/>`uris=spotify:track:4iV5W9uYEdYUVa79Axb7Rh, spotify:track:1301WleyT98MSxVHPZCA6M, spotify:episode:512ojhOuo1ktJprKbVcKyQ`\u003cbr/>A maximum of 100 items can be added in one request. \u003cbr/> _**Note**: it is likely that passing a large number of item URIs as a query parameter will exceed the maximum length of the request URI. When adding a large number of items, it is recommended to pass them in the request body, see below._\"'})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"playlist_id\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`spotify_catalog_change_playlist_details`,children:`spotify_catalog_change_playlist_details`}),`\n`,_jsx(_components.p,{children:`Change Playlist Details`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`playlist_id`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Spotify ID of the playlist.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`collaborative`})}),_jsx(_components.td,{children:`boolean`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsxs(_components.td,{children:[`If `,_jsx(_components.code,{children:`true`}),`, the playlist will become collaborative and other users will be able to modify the playlist in their Spotify client. \u003cbr/> `,_jsxs(_components.em,{children:[_jsx(_components.strong,{children:`Note`}),`: You can only set `,_jsx(_components.code,{children:`collaborative`}),` to `,_jsx(_components.code,{children:`true`}),` on non-public playlists.`]})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`description`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`Value for playlist description as displayed in Spotify Clients and in the Web API.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`name`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsxs(_components.td,{children:[`The new name for the playlist, for example `,_jsx(_components.code,{children:`\"My New Playlist Title\"`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`public`})}),_jsx(_components.td,{children:`boolean`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsxs(_components.td,{children:[`The playlist’s public/private status (if it should be added to the user’s profile or not): `,_jsx(_components.code,{children:`true`}),` the playlist will be public, `,_jsx(_components.code,{children:`false`}),` the playlist will be private, `,_jsx(_components.code,{children:`null`}),` the playlist status is not relevant. For more about public/private status, see Working with Playlists`]})]})]})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`33`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`33`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"playlist_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) of the playlist.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"collaborative\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"boolean\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:'\"If `true`, the playlist will become collaborative and other users will be able to modify the playlist in their Spotify client. \u003cbr/> _**Note**: You can only set `collaborative` to `true` on non-public playlists._\"'})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Value for playlist description as displayed in Spotify Clients and in the Web API.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:'\"The new name for the playlist, for example `'}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`My New Playlist Title`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:'`\"'})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"public\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"boolean\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"\\\"The playlist's public/private status (if it should be added to the user's profile or not): `true` the playlist will be public, `false` the playlist will be private, `null` the playlist status is not relevant. For more about public/private status, see [Working with Playlists](/documentation/web-api/concepts/playlists)\\\"\"})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"playlist_id\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`spotify_catalog_get_a_chapter`,children:`spotify_catalog_get_a_chapter`}),`\n`,_jsx(_components.p,{children:`Get a Chapter`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`id`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Spotify ID for the chapter.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`market`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsxs(_components.td,{children:[`An `,_jsx(_components.a,{href:`https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2`,children:`ISO 3166-1 alpha-2 country code`}),`. If a country code is specified, only content that is available in that market will be returned.\u003cbr/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.\u003cbr/> `,_jsxs(_components.em,{children:[_jsx(_components.strong,{children:`Note`}),`: If neither market or user country are provided, the content is considered unavailable for the client.`]}),`\u003cbr/> Users can view the country that is associated with their account in the `,_jsx(_components.a,{href:`https://www.spotify.com/account/overview/`,children:`account settings`}),`.`]})]})]})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`21`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`21`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) for the chapter.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"market\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.\u003cbr/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.\u003cbr/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._\u003cbr/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/).\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"id\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`spotify_catalog_get_a_show`,children:`spotify_catalog_get_a_show`}),`\n`,_jsx(_components.p,{children:`Get Show`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`market`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsxs(_components.td,{children:[`An `,_jsx(_components.a,{href:`https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2`,children:`ISO 3166-1 alpha-2 country code`}),`. If a country code is specified, only content that is available in that market will be returned.\u003cbr/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.\u003cbr/> `,_jsxs(_components.em,{children:[_jsx(_components.strong,{children:`Note`}),`: If neither market or user country are provided, the content is considered unavailable for the client.`]}),`\u003cbr/> Users can view the country that is associated with their account in the `,_jsx(_components.a,{href:`https://www.spotify.com/account/overview/`,children:`account settings`}),`.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`id`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Spotify ID for the show.`})]})]})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`21`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`21`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"market\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"An [ISO 3166-1 alpha-2 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). If a country code is specified, only content that is available in that market will be returned.\u003cbr/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.\u003cbr/> _**Note**: If neither market or user country are provided, the content is considered unavailable for the client._\u003cbr/> Users can view the country that is associated with their account in the [account settings](https://www.spotify.com/account/overview/).\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The [Spotify ID](/documentation/web-api/concepts/spotify-uris-ids) for the show.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"id\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`spotify_catalog_get_a_shows_episodes`,children:`spotify_catalog_get_a_shows_episodes`}),`\n`,_jsx(_components.p,{children:`Get Show Episodes`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`id`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Spotify ID for the show.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`market`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsxs(_components.td,{children:[`An `,_jsx(_components.a,{href:`https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2`,children:`ISO 3166-1 alpha-2 country code`}),`. If a country code is specified, only content that is available in that market will be returned.\u003cbr/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.\u003cbr/> `,_jsxs(_components.em,{children:[_jsx(_components.strong,{children:`Note`}),`: If neither market or user country are provided, the content is considered unavailable for the client.`]}),`\u003cbr/> Users can view the country that is associated with their account in the `,_jsx(_components.a,{href:`https://www.spotify.com/account/overview/`,children:`account settings`}),`.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`limit`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`offset`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.`})]})]})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`29`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json
[...]
